Grants, vesting & distributions
Update Document
Updates a document's name, description, visibility flags or type after an org ownership check.
Not available to API keys yet. It will need documents:write.
curl --request POST \
--url 'https://api.toku.com/tga/update-document' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"documentID": "string",
"documentName": "string",
"documentDescription": "string",
"visibleToEmployee": true,
"visibleToClientAdmin": true,
"documentType": "WARRANT_AGREEMENT"
}'{
"supersededAt": "string",
"documentID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"documentName": "string",
"documentDescription": "string",
"documentType": "WARRANT_AGREEMENT",
"fileID": "string",
"signedAt": "string",
"archivedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"grantID": "string",
"warrantID": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"visibleToRole": true,
"visibleToClientAdmin": true,
"file": {
"fileID": "string",
"orgID": "string",
"fileName": "string",
"mimeType": "string",
"fileKey": "string",
"fileBucket": "string",
"fileUploaded": "string",
"fileSizeInBytes": "string",
"createdByUserID": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"type": "string",
"fileURL": "string",
"fileDownloadURL": "string"
},
"roleInOrg": {
"hrAutomationOnly": true,
"isServiceSeat": true,
"invoiceApproverRoutingUpdatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"roleInOrgID": "string",
"personID": "string",
"orgID": "string",
"invitedByInvestorID": "string",
"invitedByRecipientID": "string",
"roleInOrgExternalID": 0,
"externalEmployeeID": "string",
"positionID": "string",
"jobTitle": "string",
"country": "string",
"countryCode": "ABW",
"preferredInvoiceCurrency": "string",
"status": "string",
"lifecycleStatus": "INVITED",
"workEmail": "string",
"department": "string",
"legalEntity": "string",
"payrollEntity": "string",
"contractEntityID": "string",
"onboarded": true,
"isTerminated": true,
"privilegedAdmin": true,
"isPrimaryAdmin": true,
"isOrgMarketMaker": true,
"role": "TOKU_ADMIN",
"employmentType": "CONTRACTOR",
"revokedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"payrollEmployeeID": "string",
"hasWelcomeEmailSent": true,
"subEmploymentType": "string",
"remarks": "string",
"isITAdmin": true,
"isExternalEmployee": true,
"employeeSyncedSource": "CSV_UPLOAD",
"investorFullName": "string",
"baseSalary": "string",
"baseSalaryCurrency": "TRY",
"baseSalaryPaymentType": "FIAT",
"baseSalaryTokenTypeID": "string",
"baseSalaryTokenSymbol": "string",
"baseSalaryTokenNetwork": "string",
"baseSalaryPeriod": "HOURLY",
"stablecoinPayPercentage": 0,
"maxStablecoinPercentage": 0,
"taxMethod": "NO_TAX",
"withholdingPercentage": "string",
"lastLogin": "string",
"lastTestTxReminderBy": "string",
"lastTestTxReminderAt": "string",
"payrollFileNumber": "string",
"externalPayrollId": "string",
"lastOnboardingReminderBy": "string",
"lastOnboardingReminderAt": "string",
"address": "string",
"payrollGroup": "string",
"lastInactiveWalletReminderBy": "string",
"lastInactiveWalletReminderAt": "string",
"recipientType": "PERSON",
"receiveNotificationEmails": true,
"receiveInAppNotifications": true,
"notificationEmailFrequency": "OFF",
"receiveSlackNotifications": true,
"selfServeContractorOnboardingStatus": "NOT_STARTED",
"selfServeContractorOnboardingCompletedAt": "string",
"selfServeWelcomeEmailSentAt": "string",
"numberOfPayPeriodsPerYear": 0,
"managerRoleInOrgID": "string",
"managerPath": [
"string"
],
"person": {
"personID": "string",
"givenName": "string",
"familyName": "string",
"middleName": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"mergedIntoPersonID": "string",
"mergedAt": "string",
"fullName": "string"
}
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
documentIDstringrequiredNOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
documentNamestringdocumentDescriptionstringvisibleToEmployeebooleanvisibleToClientAdminbooleandocumentTypestringAvailable options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER
Response
200Successful response
supersededAtstring | nullrequireddocumentIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequireddocumentNamestringrequireddocumentDescriptionstring | nullrequireddocumentTypestringrequiredAvailable options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER
fileIDstringrequiredsignedAtstring | nullrequiredarchivedAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequireddeletedAtstring | nullrequiredgrantIDstring | nullrequiredwarrantIDstring | nullrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDnumber | nullrequiredvisibleToRolebooleanrequiredvisibleToClientAdminbooleanrequiredfileobjectrequiredShow child attributes
fileIDstringrequiredorgIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileKeystringrequiredfileBucketstringrequiredfileUploadedstring | nullrequiredfileSizeInBytesstring | nullrequiredAllowed: matches ^-?\d+$
createdByUserIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDnumber | nullrequiredtypestringrequiredfileURLstringrequiredfileDownloadURLstringrequiredroleInOrgobjectrequiredShow child attributes
hrAutomationOnlybooleanrequiredisServiceSeatbooleanrequiredinvoiceApproverRoutingUpdatedAtstring | nullrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDnumber | nullrequiredroleInOrgIDstringrequiredpersonIDstringrequiredorgIDstringrequiredinvitedByInvestorIDstring | nullrequiredinvitedByRecipientIDstring | nullrequiredroleInOrgExternalIDnumberrequiredexternalEmployeeIDstring | nullrequiredpositionIDstring | nullrequiredjobTitlestring | nullrequiredcountrystring | nullrequiredcountryCodestring | nullrequiredAvailable options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE, null
preferredInvoiceCurrencystring | nullrequiredstatusstring | nullrequiredlifecycleStatusstring | nullrequiredAvailable options: INVITED, ONBOARDING, ACTIVE, OFFBOARDING, TERMINATED, ARCHIVED, null
workEmailstring | nullrequireddepartmentstring | nullrequiredlegalEntitystring | nullrequiredpayrollEntitystring | nullrequiredcontractEntityIDstring | nullrequiredonboardedbooleanrequiredisTerminatedbooleanrequiredprivilegedAdminbooleanrequiredisPrimaryAdminbooleanrequiredisOrgMarketMakerbooleanrequiredrolestringrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT
employmentTypestring | nullrequiredAvailable options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER, null
revokedAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredpayrollEmployeeIDstring | nullrequiredhasWelcomeEmailSentbooleanrequiredsubEmploymentTypestring | nullrequiredremarksstring | nullrequiredisITAdminbooleanrequiredisExternalEmployeebooleanrequiredemployeeSyncedSourcestring | nullrequiredAvailable options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, DEEL, BAMBOOHR, IMPORTED, OTHER, null
investorFullNamestring | nullrequiredbaseSalarystring | nullrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
baseSalaryCurrencystring | nullrequiredAvailable options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB, null
baseSalaryPaymentTypestringrequiredAvailable options: FIAT, TOKEN
baseSalaryTokenTypeIDstring | nullrequiredbaseSalaryTokenSymbolstring | nullrequiredbaseSalaryTokenNetworkstring | nullrequiredbaseSalaryPeriodstring | nullrequiredAvailable options: HOURLY, MONTHLY, YEARLY, null
stablecoinPayPercentagenumber | nullrequiredmaxStablecoinPercentagenumber | nullrequiredtaxMethodstring | nullrequiredAvailable options: NO_TAX, MANUAL_TAX, TAX_ENGINE, BULK_UPLOAD, null
withholdingPercentagestring | nullrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
lastLoginstring | nullrequiredlastTestTxReminderBystring | nullrequiredlastTestTxReminderAtstring | nullrequiredpayrollFileNumberstring | nullrequiredexternalPayrollIdstring | nullrequiredlastOnboardingReminderBystring | nullrequiredlastOnboardingReminderAtstring | nullrequiredaddressstring | nullrequiredpayrollGroupstring | nullrequiredlastInactiveWalletReminderBystring | nullrequiredlastInactiveWalletReminderAtstring | nullrequiredrecipientTypestring | nullrequiredAvailable options: PERSON, ENTITY, null
receiveNotificationEmailsbooleanrequiredreceiveInAppNotificationsbooleanrequirednotificationEmailFrequencystringrequiredAvailable options: OFF, IMMEDIATE, DAILY
receiveSlackNotificationsbooleanrequiredselfServeContractorOnboardingStatusstringrequiredAvailable options: NOT_STARTED, IN_PROGRESS, COMPLETED
selfServeContractorOnboardingCompletedAtstring | nullrequiredselfServeWelcomeEmailSentAtstring | nullrequirednumberOfPayPeriodsPerYearnumberrequiredmanagerRoleInOrgIDstring | nullrequiredmanagerPathstring[]requiredpersonobjectrequiredShow child attributes
personIDstringrequiredgivenNamestringrequiredfamilyNamestringrequiredmiddleNamestring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDnumber | nullrequiredmergedIntoPersonIDstring | nullrequiredmergedAtstring | nullrequiredfullNamestringrequired